net.sf.jasperreports.engine.export

## Class ElementKeyExporterFilterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.export.ElementKeyExporterFilterFactory

- All Implemented Interfaces:
    ExporterFilterFactory

      public class ElementKeyExporterFilterFactory
      extends java.lang.Object
      implements ExporterFilterFactory

  Factory of `ElementKeyExporterFilter` instances. The factory uses report properties to decide which element keys are to be filtered on export.
  Version:
    $Id: ElementKeyExporterFilterFactory.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_EXCLUDED_KEY_PREFIX` The prefix of element exclusion properties.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementKeyExporterFilterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExporterFilter` | `getFilter(JRExporterContext exporterContext)` The exported report is searched for element exclusion properties, and if any is found a `ElementKeyExporterFilter` instance is returned.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_EXCLUDED_KEY_PREFIX

          public static final java.lang.String PROPERTY_EXCLUDED_KEY_PREFIX

      The prefix of element exclusion properties. This prefix is appended to the exporter properties prefix, resulting in element exclusion properties such as `net.sf.jasperreports.export.xls.exclude.key.*`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ElementKeyExporterFilterFactory

          public ElementKeyExporterFilterFactory()

  - ### Method Detail

    - #### getFilter

          public ExporterFilter getFilter(JRExporterContext exporterContext)
                                   throws JRException

      The exported report is searched for element exclusion properties, and if any is found a `ElementKeyExporterFilter` instance is returned. Each property results in a excluded element key in the following manner:
      - If the property value is not empty, it is used as excluded element key.
      - Otherwise, the property suffix is used as element key.
      Specified by:
        `getFilter` in interface `ExporterFilterFactory`
      Parameters:
        `exporterContext` - the exporter context
      Returns:
        an export filter for the exporter, or `null` if nothing is to be filtered
      Throws:
        `JRException`
      See Also:
        `PROPERTY_EXCLUDED_KEY_PREFIX`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com